/*
 * $Id: errorreq.c,v 1.1 2013/01/14 21:47:39 jacadcaps Exp $
 */

#include "globals.h"

/* private */
#include "copyright.h"

/* public */
#include <intuition/intuition.h>
#include <proto/intuition.h>


ULONG errorreq( char *title, char *body, char *gadgets)
{
	ULONG idcmp = NULL;
	struct EasyStruct estr;

	estr.es_StructSize = sizeof(struct EasyStruct);
	estr.es_Flags = NULL;
	estr.es_Title = title ? title : APPNAME;
	estr.es_TextFormat = body;
	estr.es_GadgetFormat = gadgets ? gadgets : "Ok";

	/*
	 * We need to disable everything otherwise the
	 * user is locked.
	 */
	vnc_stop();

	return ((ULONG)EasyRequestArgs(NULL, &estr, &idcmp, NULL));
}
